package com.chenyang.nse.bussiness.incencryption.model;

public class EncryptionColumn {
   private String columnName;
   private String encryptionType;
   private String secretKey;
   private String isLike;
   private String keepfirst;
   private String encdigit;
   private String twoindex;

   public EncryptionColumn(String columnName, String encryptionType, String secretKey, String isLike, String keepfirst, String encdigit, String twoindex) {
      this.columnName = columnName;
      this.encryptionType = encryptionType;
      this.secretKey = secretKey;
      this.isLike = isLike;
      this.keepfirst = keepfirst;
      this.encdigit = encdigit;
      this.twoindex = twoindex;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public String getEncryptionType() {
      return this.encryptionType;
   }

   public String getSecretKey() {
      return this.secretKey;
   }

   public String getIsLike() {
      return this.isLike;
   }

   public String getKeepfirst() {
      return this.keepfirst;
   }

   public String getEncdigit() {
      return this.encdigit;
   }

   public String getTwoindex() {
      return this.twoindex;
   }

   public void setTwoindex(String twoindex) {
      this.twoindex = twoindex;
   }
}
